Search Bills
Search for Bill entities.
This endpoint executes a search query for Bills based on the user specified search criteria. The search query is customizable, allowing for complex nested conditions and sorting. The returned list of Bills can be paginated for easier management.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
The unique identifier (UUID) of your Organization. The Organization represents your company as a direct customer of our service.
Query Parameters
Query for data using special syntax:
- Query parameters should be delimited using $ (dollar sign).
- Allowed comparators are:
- (greater than) >
- (greater than or equal to) >=
- (equal to) :
- (less than) <
- (less than or equal to) <=
- (match phrase/prefix) ~
- Allowed parameters: accountId, locked, billDate, startDate, endDate, dueDate, billingFrequency, id, createdBy, dtCreated, lastModifiedBy, ids.
- Query example:
- searchQuery=startDate>2023-01-01$accountId:62eaad67-5790-407e-b853-881564f0e543.
- This query is translated into: find Bills that startDate is older than 2023-01-01 AND accountId is equal to 62eaad67-5790-407e-b853-881564f0e543.
Note: Using the ~ match phrase/prefix comparator. For best results, we recommend treating this as a "starts with" comparator for your search query.
fromDocument for multi page retrievals.
Number of Bills to retrieve per page.
NOTE: If not defined, default is 10.
1 <= x <= 100Search Operator to be used while querying search.
AND, OR Name of the parameter on which sorting is performed. Use any field available on the Bill entity to sort by, such as accountId, endDate, and so on.
Sorting order.
ASC, DESC